open Format
open Why_ptree

let rec print_term fmt t = 
  print_term_desc fmt t.tt_desc
and print_term_desc fmt =  function
  | TTtrue -> fprintf fmt "true"
  | TTfalse -> fprintf fmt "false"
  | TTconst (Tint s | Treal s) -> fprintf fmt "%s" s
  | TTconst Tunit -> fprintf fmt "()"
  | TTvar x -> Symbols.print fmt x
  | TTinfix(t1,op,t2) -> 
      fprintf fmt "%a%a%a" print_term t1 Symbols.print op print_term t2
  | TTapp(f,l) -> 
      fprintf fmt "%a(%a)" Symbols.print f print_term_list l
and print_term_list fmt = List.iter (fprintf fmt "%a," print_term)

